Next: LONG, Previous: LOG_GAMMA, Up: Intrinsic Procedures

### 8.156 `LOGICAL` — Convert to logical type

Description:
  Converts one kind of `LOGICAL` variable to another.
Standard:
  Fortran 95 and later
Class:
  Elemental function
Syntax:
  `RESULT = LOGICAL(L [, KIND])`
Arguments:

  L | The type shall be `LOGICAL`.
  KIND | (Optional) An `INTEGER` initialization expression indicating the kind parameter of the result.

Return value:
  The return value is a `LOGICAL` value equal to L, with a kind corresponding to KIND, or of the default logical kind if KIND is not given.
See also:
  INT, REAL, CMPLX